"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/**
 * Copyright (c) Jonathan Cardoso Machado. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
const path_1 = tslib_1.__importDefault(require("path"));
// tslint:disable-next-line
const node_pre_gyp_1 = tslib_1.__importDefault(require("node-pre-gyp"));
const CurlShareOption_1 = require("./enum/CurlShareOption");
const bindingPath = node_pre_gyp_1.default.find(path_1.default.resolve(path_1.default.join(__dirname, './../package.json')));
const bindings = require(bindingPath);
class Share extends bindings.Share {
}
/**
 * Options to be used with `Share.setOpt`
 *
 * See the official documentation of [curl_share_setopt()](http://curl.haxx.se/libcurl/c/curl_share_setopt.html)
 *  for reference.
 *
 * `CURLSHOPT_SHARE` becomes `Share.option.SHARE`
 */
Share.option = CurlShareOption_1.CurlShareOption;
exports.Share = Share;
//# sourceMappingURL=Share.js.map