/**
 * Copyright (c) Jonathan Cardoso Machado. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
export declare enum CurlFeature {
    /**
     * Data received is passed as a Buffer to the end event.
     */
    NoDataParsing = 1,
    /**
     * Header received is not parsed, it's passed as a Buffer to the end event.
     */
    NoHeaderParsing = 2,
    /**
     * Same than `NoDataParsing | NoHeaderParsing`
     */
    Raw = 3,
    /**
     * Data received is not stored inside this handle, implies NO_DATA_PARSING.
     */
    NoDataStorage = 4,
    /**
     * Header received is not stored inside this handle, implies NO_HEADER_PARSING.
     */
    NoHeaderStorage = 8,
    /**
     * Same than `NoDataStorage | NoHeaderStorage`, implies RAW.
     */
    NoStorage = 12
}
//# sourceMappingURL=CurlFeature.d.ts.map