/**
 * Copyright (c) Jonathan Cardoso Machado. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Options to be used with `Easy.pause` or `Curl.pause`
 *
 * `CURLPAUSE_RECV_CONT` becomes `CurlPause.RecvCont`
 *
 * This also contains a special member called WriteFuncPause, that when returned from the WriteFunction callback
 *  will pause the current request
 */
export declare enum CurlPause {
    Recv = 1,
    RecvCont = 0,
    Send = 4,
    SendCont = 0,
    All = 5,
    Cont = 0,
    WriteFuncPause = 268435457
}
//# sourceMappingURL=CurlPause.d.ts.map